/* START hero */

.hero {
    height: 80vh;
}

.hero .uniformSpacing {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1em;
}

.hero .mainLink{
    margin-top: 1em;
    display: flex;
    gap: 1em;
}

@media screen and (max-width: 700px) {
    .hero {
        height: auto;
        min-height: initial;
    }
}

@media screen and (max-width: 500px) {
    .hero .mainLink{
        flex-direction: column;
    }
}

/* END hero */

/* START listingServices */
.listingServices{
    display: flex;
    flex-direction: column;
    gap: 2.5em;
}

.listingServices .uniformSpacing{
    display: flex;
    flex-direction: column;
    gap: 2.5em;
}


.listingServices .uniformSpacing .containerTitle p{
    padding-top: 1.5em;
}

.listingServices .uniformSpacing .content{
    display: flex;
    justify-content: flex-end;
    gap: 5em;
}

.listingServices .uniformSpacing .content .imgContainer{
    width: 45%;
    position: absolute;
    left: 0;
    height: 100%;
}

.listingServices .uniformSpacing .content .imgContainer img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}


.listingServices .uniformSpacing .services{
    width: 50%;
    display: flex;
    flex-wrap: wrap;
    gap: 1.5em;
    justify-content: space-between;
}

.listingServices .uniformSpacing .services .item{
    display: flex;
    gap: .5em;
    width: calc((90% - 1.5em) / 2);
}

.listingServices .uniformSpacing .services .item .icone{
    padding: .5em;
    height: fit-content;
    border-radius: 100%;
}

.listingServices .uniformSpacing .services .item .icone span {
    display: flex;
    width: 2em;
    height: 2em;
}

.listingServices .uniformSpacing .services .item .icone span svg{
    width: 100%;
    height:  100%;
}

@media screen and (max-width: 1000px) {
    .listingServices .uniformSpacing .content{
        flex-direction: column;
    }

    .listingServices .uniformSpacing .content .imgContainer{
        position: initial;
        width: 100%;
        height: auto;
        aspect-ratio: 21/9;
    }
    .listingServices .uniformSpacing .services{
        width: 100%;
    }
}

@media screen and (max-width: 550px) {
    .listingServices .uniformSpacing .services .item{
        width: 100%;
    }
}



/* END listingServices */

/* START imgTextDecaler */
.imgTextDecaler {
    display: flex;
    align-items: stretch;
    padding-top: 5em;
}

.imgTextDecaler .bigSpacing{
    width: 60%;
    position: relative;
    z-index: 10;
    transform: translateY(-5em);
}

.imgTextDecaler .bigSpacing .uniformSpacing {
    display: flex;
    flex-direction: column;
    gap: 1.5em;
    padding: 4.5em 5em 4.5em 3em;
}

.imgTextDecaler .imgContainer{
    position: relative;
    width: 60%;

}

.imgTextDecaler .imgContainer img{
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 110%;
    z-index: 11;
    object-fit: cover;
}

.imgTextDecaler .specialLink {
    position: absolute;
    left: -10%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(245, 245, 245, 0.58);
    border-radius: 1000px;
    aspect-ratio: 1 / 1;
    width: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1.5em;
    z-index: 20;
    height: auto;
}

.imgTextDecaler .specialLink a {
    background-color: rgb(255, 255, 255);
    border-radius: 100px;
    aspect-ratio: 1 / 1;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1em;
    width: 8em;
    height: auto;
}

.imgTextDecaler .containerListeNumber{
    display: flex;
    flex-direction: column;
    gap: 1em;
}
.imgTextDecaler .containerListeNumber .elementListeNumber {
    display: flex;
    gap: 1em;
    align-items: center;
}
.imgTextDecaler .containerListeNumber .elementListeNumber .number {
    border-radius: var(--basicRadius);
    height: 1.5em;
    width: 1.5em;
    min-height: 1.5em;
    min-width: 1.5em;
    display: flex;
    align-items: center;
    justify-content: center;
}

@media screen and (max-width: 1350px) {
    .imgTextDecaler{
        flex-direction: column;
    }

    .imgTextDecaler .bigSpacing{
        width: 80%;
        transform: translateY(0);
        margin-top: -5em;
    }

    .imgTextDecaler .bigSpacing .uniformSpacing{
        padding: 0 0 4.5em 0;
    }

    .imgTextDecaler .imgContainer{
        display: flex;
        justify-content: flex-end;
        margin-top: -5em;
        width: 100%;
        height: fit-content;
        position: relative;
        z-index: 10;
    }

    .imgTextDecaler .imgContainer img{
        width: 80%;
        height: auto;
        position: relative;
    }
    .imgTextDecaler .specialLink {
        left: 20%;
    }
}

@media screen and (max-width: 1350px) {
    .imgTextDecaler .imgContainer img{
        width: 70%;
    }

    .imgTextDecaler .specialLink{
        left: 30%;
    }
}

@media screen and (max-width: 600px) {
    .imgTextDecaler .bigSpacing{
        width: 95%;
    }
    .imgTextDecaler .specialLink{
        padding: 1em;
    }
    .imgTextDecaler .specialLink a{
        font-size: .8em;
    }
}
/* END imgTextDecaler */

/* START formulesListing */

.formulesListing .uniformSpacing {
    display: flex;
    flex-direction: column;
    gap: 2em;
}

.formulesListing .uniformSpacing .formules{
    display: flex;
    gap: 2em;
    flex-wrap: wrap;
}

.formulesListing .uniformSpacing .formules .item{
    display: flex;
    flex-direction: column;
    gap: 2.5em;
    box-shadow: 0px 3px 15px #00000029;
    width: calc((100% - 2em * 3) / 4);
}

.formulesListing .uniformSpacing .formules .item img{
    width: 100%;
    height: auto;
    aspect-ratio: 4/3;
    object-fit: cover;
}

.formulesListing .uniformSpacing .formules .item div{
    display: flex;
    flex-direction: column;
    gap: 1em;
    padding: 0 2.5em 2.5em 2.5em;
}

.formulesListing .uniformSpacing .mainLink{
    display: flex;
    justify-content: center;
}

@media screen and (max-width: 1300px) {
    .formulesListing .uniformSpacing .formules .item{
        width: calc((100% - 2em) / 2);
    }

}


@media screen and (max-width: 600px) {
    .formulesListing .uniformSpacing .formules .item{
        width: 100%;
    }
}

/* END formulesListing */


/* START imgText */

.imgText .uniformSpacing {
    display: flex;
    flex-direction: column;
    gap: 1.75em;
}

.imgText .uniformSpacing .textContainer{
    display: flex;
    gap: 6em;
}

.imgText .uniformSpacing .textContainer > div{
    width: 50%
}

.imgText .uniformSpacing .imgContainer img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    max-height: 25em;
}

.imgText.carte .uniformSpacing .imgContainer img {
    width: auto;
    max-width: 100%;
}

.imgText .uniformSpacing .textLogoContainer {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.imgText .uniformSpacing .textLogoContainer .logoContainer {
    display: flex;
    gap: 1.5em;
}

.imgText .uniformSpacing .textLogoContainer .logoContainer div {
    width: calc((100% - 1em * 3)/4);
    height: auto;
    aspect-ratio: 1/1;
}

.imgText .uniformSpacing .textLogoContainer .logoContainer img {
    height: 100%;
    width: 100%;
}

@media screen and (max-width: 900px) {
    .imgText .uniformSpacing .textContainer{
        flex-direction: column;
        gap: 1.5em;
    }

    .imgText .uniformSpacing .textContainer > div{
        width: 100%;
    }
}
/* END imgText */

/* START doubleTextImg */

.doubleTextImg .uniformSpacing{
    display: flex;
}

.doubleTextImg .uniformSpacing > div{
    width: 100%;
}

.doubleTextImg .uniformSpacing > div .imgContainer{
    width: 100%;
    position: relative;
}

.doubleTextImg .uniformSpacing > div .imgContainer img{
    width: 105%;
    height: auto;
    aspect-ratio: 1/1;
    object-fit: cover;
}

.doubleTextImg .uniformSpacing > div{
    display: flex;
    flex-direction: column;
    gap: 2.25em;
}

.doubleTextImg .uniformSpacing > div:last-child{
    gap: 1.5em;
}

.doubleTextImg .uniformSpacing > div .introTitle {
    width: 80%;
}

.doubleTextImg .uniformSpacing > div p{
    width: 90%;
}

.doubleTextImg .uniformSpacing > div:last-child{
    align-items: flex-end;
}

.doubleTextImg .uniformSpacing > div:last-child .imgContainer img{
    transform: translateX(-5%);
}

.doubleTextImg .uniformSpacing > div .imgContainer .infos{
    position: absolute;
    top: 50%;
    left: 0%;
    transform: translate(-50%, -50%);
    background-color: rgb(236, 157, 39,0.58);
    width: 14em;
    height: auto;
    aspect-ratio: 1 / 1;
    border-radius: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1.5em;
}

.doubleTextImg .uniformSpacing > div .imgContainer .infos a{
    background-color: var(--basicColor1);
    border-radius: 100%;
    width: 14em;
    height: auto;
    aspect-ratio: 1/1;
    display: flex;
    align-items: center;
    padding: .5em;
}

@media screen and (max-width: 900px) {
    .doubleTextImg .uniformSpacing > div .introTitle,
    .doubleTextImg .uniformSpacing > div p{
        width: 100%;
    }

    .doubleTextImg .uniformSpacing {
        flex-direction: column;
    }

    .doubleTextImg .uniformSpacing > div .imgContainer img {
        aspect-ratio: initial;
    }

    .doubleTextImg .uniformSpacing > div .imgContainer {
        width: 55%;
    }

    .doubleTextImg .uniformSpacing > div:last-child {
        margin-top: -5em;
    }
}

@media screen and (max-width: 650px) {
    .doubleTextImg .uniformSpacing > div .imgContainer {
        width: 80%;
    }

    .doubleTextImg .uniformSpacing > div:last-child .imgContainer img,
    .doubleTextImg .uniformSpacing > div .imgContainer img{
        width: 100%;
        transform: initial;
    }
    .doubleTextImg .uniformSpacing > div .imgContainer .infos{
        left: 40%;
        top: 0;
        transform: translate(-50%, -50%);
    }

}

@media screen and (max-width: 450px) {

    .doubleTextImg .uniformSpacing > div .imgContainer .infos a{
        font-size: .8em;
    }

    .doubleTextImg .uniformSpacing > div .imgContainer .infos{
        width: 10em;
    }
}
/* END doubleTextImg */

/* START iconeTextImgFond */
.iconeTextImgFond .uniformSpacing{
    display: flex;
    gap: 4em;
    align-items: center;
}

.iconeTextImgFond .uniformSpacing .containerIcone{
    display: flex;
    flex-direction: column;
    gap: 2.5em;
    width: 50%;
}

.iconeTextImgFond .uniformSpacing .mainLink{
    display: flex;
    justify-content: center;
}

.iconeTextImgFond .uniformSpacing .icones{
    display: flex;
    flex-wrap: wrap;
    gap: 1.75em;
    width: 50%;
}

.iconeTextImgFond .uniformSpacing .icones{
    display: flex;
    flex-wrap: wrap;
    gap: 1.75em;
    width: 100%;
}

.iconeTextImgFond .uniformSpacing .containerText{
    width: 50%;
    padding: 2.5em;
}

.iconeTextImgFond .uniformSpacing .icones .element{
    display: flex;
    flex-direction: column;
    gap: 1em;
    width: calc((100% - 1.75em) / 2);
    align-items: center;
    justify-content: center;
    padding: 2.5em;
}

.iconeTextImgFond .uniformSpacing .icones .element svg{
    width: 5em;
    height: 5em;
}

@media screen and (max-width: 1500px) {
    .iconeTextImgFond .uniformSpacing .icones .element{
        width: 100%;
    }
}

@media screen and (max-width: 850px) {
    .iconeTextImgFond .uniformSpacing{
        flex-direction: column;
    }

    .iconeTextImgFond .uniformSpacing .containerText,
    .iconeTextImgFond .uniformSpacing .containerIcone{
        width: 100%;
    }

    .iconeTextImgFond .uniformSpacing .icones .element{
        width: calc((100% - 1.75em) / 2);
    }
}

@media screen and (max-width: 550px) {
    .iconeTextImgFond .uniformSpacing .icones{
        flex-direction: column;
    }
    .iconeTextImgFond .uniformSpacing .icones .element{
        width: 100%
    }
}

